Skip to content

getSalesOrders

READ

Get sales orders.

POST /api/v1/sales/getSalesOrders
curl -X POST '<your-host>/api/v1/sales/getSalesOrders' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "id": "string",
      "salesOrderId": "string",
      "status": "Closed",
      "orderDate": "string",
      "customerId": "string",
      "customerReference": "string",
      "assignee": "string",
      "companyId": "string",
      "customFields": "…",
      "createdAt": "string",
      "createdBy": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "locationId": "string",
      "displayStatus": "Closed",
      "thumbnailPath": "string",
      "itemType": "Part",
      "orderTotal": 0,
      "jobs": [
        "…"
      ],
      "lines": [
        "…"
      ],
      "paymentTermId": "string",
      "shippingMethodId": "string",
      "receiptPromisedDate": "string",
      "dropShipment": true
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "status": {
          "type": [
            "string",
            "null"
          ]
        },
        "customerId": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}